# TODO
# - use ant conditions (replace JDBC_4_ANT_KEY_BEGIN) instead of the code in prep
#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc

%define		srcname	commons-dbcp
%include	/usr/lib/rpm/macros.java
Summary:	Commons DBCP - database connection pooling
Summary(pl.UTF-8):	Commons DBCP - zarządzanie połączeniem z bazą danych
Name:		java-commons-dbcp
Version:	1.4
Release:	1
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/commons/dbcp/source/commons-dbcp-%{version}-src.tar.gz
# Source0-md5:	e9f599c99baefeeb0e192030c5d19d5d
Source1:	jakarta-commons-dbcp-tomcat5-build.xml
Patch0:		jakarta-commons-dbcp-bug-191.patch
Patch1:		jakarta-commons-dbcp-javadoc.patch
URL:		http://commons.apache.org/dbcp/
BuildRequires:	ant
BuildRequires:	java(jaxp_parser_impl)
BuildRequires:	java-commons-collections
BuildRequires:	java-commons-collections-tomcat5
BuildRequires:	java-commons-pool >= 1.2
BuildRequires:	java-commons-pool-tomcat5
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	java-commons-collections
Requires:	java-commons-pool >= 1.2
Requires:	jpackage-utils
Provides:	jakarta-commons-dbcp
Obsoletes:	jakarta-commons-dbcp
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The DBCP package provides database connection pooling services. The
following features are supported:
 - DataSource and Driver interfaces to the pool,
 - Support for arbitrary sources of the underlying Connections,
 - Integration with arbitrary org.apache.commons.pool.ObjectPool
   implementations,
 - Support for Connection validation, expiration, etc.,
 - Support for PreparedStatement pooling,
 - XML configuration.

%description -l pl.UTF-8
Pakiet DBCP dostarcza usługi gospodarujące połączeniami z bazą danych.
Obsługiwane są następujące własności:
 - interfejsy DataSource i Driver,
 - obsługa dowolnych źródeł dla podlegających im połączeń,
 - integracja z dowolnymi implementacjami
   org.apache.commons.pool.ObjectPool,
 - obsługa kontroli poprawności, przedawnienia połączeń itp.,
 - obsługa zarządzania PreparedStatement,
 - konfiguracja w XML-u.

%package javadoc
Summary:	Commons DBCP documentation
Summary(pl.UTF-8):	Dokumentacja do Commons DBCP
Group:		Documentation
Requires:	jpackage-utils
Provides:	jakarta-commons-dbcp-javadoc
Obsoletes:	jakarta-commons-dbcp-doc
Obsoletes:	jakarta-commons-dbcp-javadoc

%description javadoc
Commons DBCP documentation.

%description javadoc -l pl.UTF-8
Dokumentacja do Commons DBCP.

%package tomcat5
Summary:	Commons DBCP dependency for Tomcat5
Summary(pl.UTF-8):	Elementy Commons DBCP dla Tomcata 5
Group:		Development/Languages/Java
Requires:	java(jaxp_parser_impl)
Provides:	jakarta-commons-dbcp-tomcat5
Obsoletes:	jakarta-commons-dbcp-source
Obsoletes:	jakarta-commons-dbcp-tomcat5

%description tomcat5
Commons DBCP dependency for Tomcat5.

%description tomcat5 -l pl.UTF-8
Elementy Commons DBCP dla Tomcata 5.

%prep
%setup -q -n commons-dbcp-%{version}-src
cp %{SOURCE1} tomcat5-build.xml
%{__sed} -i -e 's,\r$,,' build.xml


%if %{with java_sun}
java_version=$(IFS=.; set -- $(java -fullversion 2>&1 | grep -o '".*"' | xargs); echo "$1.$2")
if ! awk -vv=$java_version 'BEGIN{exit(v >= 1.6)}'; then # java is at least 1.6
%patch0 -p0
fi
%endif
%patch1 -p1

%build
required_jars="commons-pool commons-collections libgcj"
export CLASSPATH=$(build-classpath $required_jars)
%ant clean
%ant build-jar %{?with_javadoc:javadoc}

required_jars="jdbc-stdext xercesImpl commons-collections-tomcat5 commons-pool-tomcat5 libgcj"
export CLASSPATH=$(build-classpath $required_jars)
%ant -f tomcat5-build.xml

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
# jars
install dist/%{srcname}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-%{version}.jar
ln -sf %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

install dbcp-tomcat5/%{srcname}-tomcat5.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-tomcat5-%{version}.jar
ln -sf %{srcname}-tomcat5-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-tomcat5.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(644,root,root,755)
%doc RELEASE-NOTES.txt
%{_javadir}/commons-dbcp.jar
%{_javadir}/commons-dbcp-%{version}.jar

%files tomcat5
%defattr(644,root,root,755)
%{_javadir}/commons-dbcp-tomcat5.jar
%{_javadir}/commons-dbcp-tomcat5-%{version}.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-commons-dbcp.git;a=log;h=master

* Thu Jun 06 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 90c7c51
- up to 1.4; libgcj thing looks hacky

* Wed Feb 09 2011 Elan Ruusamäe <glen@pld-linux.org> 0ef532a
- use java(jaxp_parser_impl) virtual dep instead of direct java-xerces so java-sun can satisfy; rel 3

* Fri Apr 23 2010 pawelz <pawelz@pld-linux.org> 7d93618
- Don't force specific jdk.

* Mon May 18 2009 pawelz <pawelz@pld-linux.org> 5f8305d
- Apply patch0. It is realy needed for java >= 1.6

* Mon May 18 2009 pawelz <pawelz@pld-linux.org> b1c0ddc
- JDK bconds
- simplified (removed SHELL=/bin/sh and -Dbuild.compiler hacks)

* Mon Feb 16 2009 pawelz <pawelz@pld-linux.org> 0463b57
- use java-gcj-compat-devel
- BR: java-xerces, tomcat5 subpackage R: java-xerces
- correct dir for javadoc
- install less %doc
- rel 2

* Mon Jan 26 2009 Elan Ruusamäe <glen@pld-linux.org> 7fdcf04
- release 1

* Thu Dec 25 2008 pawelz <pawelz@pld-linux.org> 16263f2
- added Provides/Obsoletes old name in subpackages

* Sun Nov 23 2008 Elan Ruusamäe <glen@pld-linux.org> 5e7162c
- renamed to java-commons-dbcp.spec

* Mon Jan 14 2008 Jakub Bogusz <qboosh@pld-linux.org> b192122
- pl for -tomcat5
- no more Jakarta in descs

* Fri Dec 07 2007 Elan Ruusamäe <glen@pld-linux.org> b775b22
- todo

* Fri Dec 07 2007 Elan Ruusamäe <glen@pld-linux.org> 4bded3f
- must have java source 1.6 for this patch

* Fri Dec 07 2007 Elan Ruusamäe <glen@pld-linux.org> d75755f
- add patch from jira #191, builds with 1.5 and 1.6

* Fri Dec 07 2007 Elan Ruusamäe <glen@pld-linux.org> 0a09fdb
- skip test/ patches and project.properties (maven not yet in this release)

* Fri Dec 07 2007 Elan Ruusamäe <glen@pld-linux.org> 77aea8c
- do not reset classpath for javadoc

* Fri Dec 07 2007 Elan Ruusamäe <glen@pld-linux.org> 4afe225
- saved from http://issues.apache.org/jira/browse/DBCP-191

* Fri Dec 07 2007 Elan Ruusamäe <glen@pld-linux.org> 5748207
- update to 1.2.2, add binary bcond

* Sun Dec 02 2007 Elan Ruusamäe <glen@pld-linux.org> ed5a733
- fix build; rel 2

* Sun Dec 02 2007 Elan Ruusamäe <glen@pld-linux.org> daebd27
- build -tomcat5 dependency instead of -source for tomcat

* Sun Dec 02 2007 Elan Ruusamäe <glen@pld-linux.org> 38d5d33
- undos

